---     
tags: 
  - Point (ID)
description: 
  This endpoint is the same as <strong>/point/{point_id}</strong>, but will return the point's displacements (and its calculated velocity) set to use to the most recent number of months (integer).  The velocity over the complete time period available in the database is also returned as `velocity_original` for comparison. The recalculated velocity value used for colouring points in `/tile` endpoints is also included as `velocity_averaged`, which approximates the velocity using displacements averaged over each 3-month period.<br/>
  This is a shortcut to setting the `start_date` and `end_date` of a <strong>/point/{point_id}</strong> request.<br/>
  If the `months` value is not an integer, it is ignored and the full date range is returned.<br/>
  `date_range` is returned in the results to show the `start_date` and `end_date` used in the request.<br/><br/>

 Returns the specified point if it exists and the user has access to view it - the user needs access to the region and layer.<br/>

 <br/><strong>OPTIONAL</strong> `layers` array of strings to choose the layers.  Defaults to all layers the user has access to if not set.
 <br/><strong>OPTIONAL (ignored if provided `months` value is valid)</strong> query params `start_date`, `end_date` integers (format <strong>YYYYMMDD</strong>) to recalculate the velocity value.  If invalid dates are entered, they are ignored (e.g. end date before start date).  If the user doesn't have access to the end date, the latest date they have access to will be used instead.  An additional `velocity_original` attribute will be returned to show the velocity over the full time period when the `velocity` has been recalculated. The recalculated velocity value used for colouring points in `/tile` endpoints is also included as `velocity_averaged`, which approximates the velocity using displacements averaged over each 3-month period.

 <br/><br/>Additional optional attributes will be returned if these are present in the database.  These values are not present in every location.
 <br/><strong>cycle_slips</strong> (integer)
 <br/><strong>av_coherence</strong> (float)
 <br/><strong>height</strong> (float)
 <br/><strong>delta_quality_3</strong> (float)
 <br/><strong>delta_quality_6</strong> (float)
 <br/><strong>delta_velocity_3</strong> (float)
 <br/><strong>delta_velocity_6</strong> (float)
 <br/><strong>scatter</strong> (string - 'PS' or 'DS')
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: header
    name: Layers
    type: string
    required: false
  - in: path
    name: point_id
    type: string
    required: true
    schema:
      example: '132A_03817_131313_6111_35436'
  - in: query
    name: start_date
    type: int
    required: false
  - in: query
    name: end_date
    type: int
    required: false
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      properties:
      example: { "date_range": { "start_date": "2025-01-01 00:00:00", "end_date": "2022-01-01 00:00:00" }, "coordinates": [0, 1], "displacements": {"20230101": 1.1, "20230102": 2.2}, "id": 1, "layer": "asc", "name": "123A_00001_00001_0001_0001", "orbit": "asc", "rmse": 1.1, "velocity": 0.6, "velocity_original": 1.2, "velocity_averaged": 0.7 }
  404:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Point not found or insufficient access'
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'

